SYSTEMD-DELTA(1)

NOM
systemd-delta – Rechercher les fichiers de configuration outrepassés

SYNOPSIS

systemd-delta [OPTIONS...] [PRÉFIXE | PRÉFIXE/SUFFIXE | SUFFIXE...]

DESCRIPTION

systemd-delta peut être utilisé pour identifier et comparer les fichiers de configuration qui outrepassent d’autres fichiers de configuration. Les fichiers dans /etc/ ont la priorité la plus haute, les fichiers dans /run/ ont la priorité en second, ..., les fichiers dans /usr/lib/ ont la priorité la plus basse. Les fichiers dans un répertoire ayant la priorité la plus haute outrepassent les fichiers de même nom dans les répertoires de priorité plus basse. De plus, certains fichiers de configuration peuvent avoir des répertoires « .d » qui contiennent des fichiers de « substitution » avec des bribes de configuration qui accroissent le fichier de configuration principal. Les fichiers de « substitution » peuvent être outrepassés de la même manière en plaçant le fichier de même nom dans un répertoire de plus haute priorité (sauf que, dans le cas des fichiers de « substitution », le nom de fichier de « substitution » et le nom de son répertoire, qui correspond au nom du fichier de configuration principal, doivent correspondre). Pour de plus amples explications, consulter systemd.unit(5).

L’argument de ligne de commande doit être inséré entre un préfixe et un suffixe. Les deux sont facultatifs. Le préfixe doit être un des répertoires contenant les fichiers de configuration (/etc/, /run/, /usr/lib/, ...). Si cet argument est indiqué, seuls les fichiers de substitution contenus dans ce sous-répertoire seront affichés, sinon, tous les fichiers de substitution seront affichés. Le suffixe doit être un nom de sous-répertoire contenant les fichiers de configuration tels que tmpfiles.d, sysctl.d ou systemd/system. Si cet argument est indiqué, seuls les fichiers de configuration dans ce sous-répertoire (parmi tous les chemins de configuration) seront analysés. Si l’argument de ligne de commande n’est pas du tout indiqué, tous les fichiers de configuration seront analysés. Voir ci-après pour quelques exemples.

OPTIONS

Les options suivantes sont comprises :

-t, --type=
    Lors du listage des différences, lister seulement celles du type demandé. La liste des différences est une liste des types de différence demandés, séparés par des virgules.

    Les types reconnus sont :

    masked
        Afficher les fichiers masqués.

    equivalent
        Afficher les fichiers outrepassés qui, bien qu’ils le sont, n’ont pas un contenu qui diffère.

    redirected
        Afficher les fichiers qui sont redirigés vers un autre.

    overridden
        Afficher les fichiers outrepassés et modifiés.

    extended
        Afficher les fichiers *.conf dans les répertoires de substitution concernant les unités.

        Ajouté dans la version 205.

    unchanged
        Afficher les fichiers non modifiés.

--diff=
    Lors de l’affichage des fichiers modifiés, quand un fichier est outrepassé, afficher aussi un diff. Cette option prend un argument booléen. Si cet argument est omis, sa valeur par défaut est true.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

--no-pager
    Ne pas rediriger (pipe) la sortie vers un afficheur (pager).

EXEMPLES

Pour afficher toute la configuration locale :

    systemd-delta

Pour afficher toutes les modifications de configuration d’exécution :

    systemd-delta /run

Pour afficher toutes les modifications de configuration d’unité de système :

    systemd-delta systemd/system

Pour afficher toutes les modifications de « substitution » d’exécution pour les unités du système :

    systemd-delta --type=extended /run/systemd/system

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemd.unit(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.